> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cerca.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve config



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/cerca/openapi.documented.yml get /agents/{agentId}/config
openapi: 3.1.0
info:
  description: API-key accessible routes for Cerca agents.
  title: Cerca API
  version: 0.0.0
servers:
  - url: https://api.cerca.dev
security:
  - bearerAuth: []
paths:
  /agents/{agentId}/config:
    get:
      tags:
        - Agents
      summary: Retrieve config
      parameters:
        - schema:
            type: string
            minLength: 1
            example: agent_abc123
          required: true
          in: path
          name: agentId
      responses:
        '200':
          description: Effective agent configuration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EffectiveConfiguration'
        '400':
          description: Invalid runtime request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >-
            Access denied or non-transient quota exceeded. Limit errors include
            a stable code field.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Runtime resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: >-
            Transient capacity limit exceeded. Limit errors include a stable
            code field.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Required runtime dependency unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: Runtime error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Cerca from '@cerca-dev/sdk';


            const client = new Cerca({
              apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
            });


            const effectiveConfiguration = await
            client.agents.retrieveConfig('agent_abc123');


            console.log(effectiveConfiguration.approvals);
        - lang: Python
          source: |-
            import os
            from cerca import Cerca

            client = Cerca(
                api_key=os.environ.get("CERCA_API_KEY"),  # This is the default and can be omitted
            )
            effective_configuration = client.agents.retrieve_config(
                "agent_abc123",
            )
            print(effective_configuration.approvals)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/matrices/cerca-go\"\n\t\"github.com/matrices/cerca-go/option\"\n)\n\nfunc main() {\n\tclient := cercago.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\teffectiveConfiguration, err := client.Agents.GetConfig(context.TODO(), \"agent_abc123\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", effectiveConfiguration.Approvals)\n}\n"
        - lang: Ruby
          source: >-
            require "cerca"


            cerca = Cerca::Client.new(api_key: "My API Key")


            effective_configuration =
            cerca.agents.retrieve_config("agent_abc123")


            puts(effective_configuration)
        - lang: CLI
          source: |-
            cerca agents retrieve-config \
              --api-key 'My API Key' \
              --agent-id agent_abc123
components:
  schemas:
    EffectiveConfiguration:
      type: object
      properties:
        approvals:
          type: object
          properties:
            tools:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/RuntimeApprovalPolicyMode'
            timeoutMs:
              type: number
          required:
            - tools
            - timeoutMs
        approvalsWritableByAgent:
          type: boolean
        defaultModel:
          type: string
        instructions:
          type: string
        lockedByFleet:
          type: array
          items:
            $ref: '#/components/schemas/ConfigurationFieldName'
        resolvedFromFleet:
          type: array
          items:
            $ref: '#/components/schemas/ConfigurationFieldName'
        tools:
          type: array
          items:
            $ref: '#/components/schemas/RuntimeToolName'
          description: >-
            Effective internal runtime tools after applying fleet defaults,
            fleet locks, and the agent allowlist.
      required:
        - approvals
        - approvalsWritableByAgent
        - defaultModel
        - lockedByFleet
        - resolvedFromFleet
        - tools
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
          description: Stable machine-readable error code when the API can provide one.
          example: MONTHLY_TOKEN_BUDGET_EXCEEDED
      required:
        - error
    RuntimeApprovalPolicyMode:
      type: string
      enum:
        - always
        - never
    ConfigurationFieldName:
      type: string
      enum:
        - defaultModel
        - instructions
        - tools
        - approvals
    RuntimeToolName:
      type: string
      enum:
        - get_time
        - sub_thread
        - wait
        - tool.call
        - tool.discover
        - artifact.read
        - agent.threads.list
        - agent.threads.get
        - agent.approvals.cancel
        - agent.approvals.grant_thread
        - agent.approvals.grant_agent
        - agent.create
        - agent.approvals.update
        - tool.connect
        - sandbox.exec
        - sandbox.read
        - sandbox.write_file
        - sandbox.read_file
        - sandbox.spawn
        - sandbox.stdin
        - sandbox.session_read
        - sandbox.kill
        - sandbox.list_sessions
        - sandbox.sync_artifact
        - memory.read
        - memory.list
        - memory.search
        - memory.write
        - memory.delete
        - db.query
        - web.search
        - web.fetch
        - agent.schedule.list
        - agent.schedule.create
        - agent.schedule.update
        - agent.schedule.delete
        - agent.schedule.trigger
  securitySchemes:
    bearerAuth:
      bearerFormat: Cerca API key
      scheme: bearer
      type: http

````